Module | Sequel::Plugins::PgRow::InstanceMethods
In: | lib/sequel/plugins/pg_row.rb

### Methods

sql_literal_append

### Constants

ROW | = | 'ROW'.freeze
CAST | = | '::'.freeze

### Public Instance methods

sql_literal_append(ds, sql)

Literalize the model instance and append it to the sql.

[Source]

         # File lib/sequel/plugins/pg_row.rb, line 112
    112:         def sql_literal_append(ds, sql)
    113:           sql << ROW
    114:           ds.literal_append(sql, values.values_at(*columns))
    115:           sql << CAST
    116:           ds.quote_schema_table_append(sql, model.table_name)
    117:         end

[Validate]